MU(SCRIPT)

NAME
mu script- run a mu script

SYNOPSIS
mu script [options] [--script=<script>] [<pattern>] [-- [script-options]]

DESCRIPTION
mu script is the mu command to list available mu scripts, and run them. The scripts are implemented in the Guile programming language, and thus only work if your mu is built with support for Guile. In addition, many scripts require you to have gnuplot installed. Without any parameters, mu script lists the available scripts. If you provide a pattern (regular expression), only the scripts whose name or one-line description match this pattern, are listed. See the examples below. mu ships with a number of scripts.

OPTIONS

--script=<script>
    run the given script. --verbose,-v when listing the available scripts, show the long descriptions. -- all options on the right side of the -- are passed to the script.

EXAMPLES
List all available scripts (one-line descriptions):
  $ mu script
List all available scripts matching month (long descriptions):
  $ mu script -v month
Run the msgs-per-month script, and pass it the --textonly parameter:
  $ mu script --script=msgs-per-month -- --textonly

RETURN VALUE
mu script returns 0 when all went well, and returns some non-zero error code when this is not the case.

FILES
You can make your own Scheme scripts accessible throught mu script by putting them in <muhome>/scripts (which is typically ~/.mu/scripts). It is a good idea to document it using some special comments in the source code:
;; INFO: this is my script -- one-line description
;; INFO: (longer description)
;; INFO: --option1=<foo> (describe option1)
;; INFO: etc.

BUGS
Please report bugs if you find them: http://code.google.com/p/mu0/issues/list

AUTHOR
Dirk-Jan C. Binnema <djcb@djcbsoftware.nl>

SEE ALSO
mu(1)